﻿// Copyright © Microsoft Corporation.  All Rights Reserved.
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)

namespace Microsoft.Expression.Prototyping.Mockups
{
	using System;
	using System.Windows;
	using System.Windows.Controls;
	using System.Windows.Markup;
	using System.Windows.Media;

	[ContentProperty("Content")]

	public class BaseMockup : Control
	{
		public Object TitleContent
		{
			get { return (Object)GetValue(TitleContentProperty); }
			set { SetValue(TitleContentProperty, value); }
		}

		public static readonly DependencyProperty TitleContentProperty = DependencyProperty.Register("TitleContent", typeof(Object), typeof(BaseMockup), null);

		public Object Content
		{
			get { return (Object)GetValue(ContentProperty); }
			set { SetValue(ContentProperty, value); }
		}

		public static readonly DependencyProperty ContentProperty = DependencyProperty.Register("Content", typeof(Object), typeof(BaseMockup), null);

		public Brush IconStroke
		{
			get { return (Brush)GetValue(IconStrokeProperty); }
			set { SetValue(IconStrokeProperty, value); }
		}

		public static readonly DependencyProperty IconStrokeProperty = DependencyProperty.Register("IconStroke", typeof(Brush), typeof(BaseMockup), null);

		public Brush IconFill
		{
			get { return (Brush)GetValue(IconFillProperty); }
			set { SetValue(IconFillProperty, value); }
		}

		public static readonly DependencyProperty IconFillProperty = DependencyProperty.Register("IconFill", typeof(Brush), typeof(BaseMockup), null);

		public BaseMockup()
		{
			base.DefaultStyleKey = typeof(BaseMockup);
		}
	}
}