﻿// Copyright © Microsoft Corporation.  All Rights Reserved.
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)

namespace Microsoft.Expression.Prototyping.Mockups
{
	using System;
	using System.Windows;

	public class DialogMockup : WindowMockup
	{
		public Visibility ShowButton1
		{
			get { return (Visibility)GetValue(ShowButton1Property); }
			set { SetValue(ShowButton1Property, value); }
		}

		public static readonly DependencyProperty ShowButton1Property = DependencyProperty.Register("ShowButton1", typeof(Visibility), typeof(DialogMockup), new PropertyMetadata(Visibility.Visible, null));

		public Visibility ShowButton2
		{
			get { return (Visibility)GetValue(ShowButton2Property); }
			set { SetValue(ShowButton2Property, value); }
		}

		public static readonly DependencyProperty ShowButton2Property = DependencyProperty.Register("ShowButton2", typeof(Visibility), typeof(DialogMockup), new PropertyMetadata(Visibility.Visible, null));

		public Visibility ShowButton3
		{
			get { return (Visibility)GetValue(ShowButton3Property); }
			set { SetValue(ShowButton3Property, value); }
		}

		public static readonly DependencyProperty ShowButton3Property = DependencyProperty.Register("ShowButton3", typeof(Visibility), typeof(DialogMockup), new PropertyMetadata(Visibility.Visible, null));

		public Object Button1Content
		{
			get { return (Object)GetValue(Button1ContentProperty); }
			set { SetValue(Button1ContentProperty, value); }
		}

		public static readonly DependencyProperty Button1ContentProperty = DependencyProperty.Register("Button1Content", typeof(Object), typeof(DialogMockup), null);

		public Object Button2Content
		{
			get { return (Object)GetValue(Button2ContentProperty); }
			set { SetValue(Button2ContentProperty, value); }
		}

		public static readonly DependencyProperty Button2ContentProperty = DependencyProperty.Register("Button2Content", typeof(Object), typeof(DialogMockup), null);

		public Object Button3Content
		{
			get { return (Object)GetValue(Button3ContentProperty); }
			set { SetValue(Button3ContentProperty, value); }
		}

		public static readonly DependencyProperty Button3ContentProperty = DependencyProperty.Register("Button3Content", typeof(Object), typeof(DialogMockup), null);

		public Object DialogQuestionContent
		{
			get { return (Object)GetValue(DialogQuestionContentProperty); }
			set { SetValue(DialogQuestionContentProperty, value); }
		}

		public static readonly DependencyProperty DialogQuestionContentProperty = DependencyProperty.Register("DialogQuestionContent", typeof(Object), typeof(DialogMockup), null);

		public Object DialogExplanationContent
		{
			get { return (Object)GetValue(DialogExplanationContentProperty); }
			set { SetValue(DialogExplanationContentProperty, value); }
		}

		public static readonly DependencyProperty DialogExplanationContentProperty = DependencyProperty.Register("DialogExplanationContent", typeof(Object), typeof(DialogMockup), null);

		public static readonly DependencyProperty IconImageProperty = DependencyProperty.Register("IconImage", typeof(IconImage), typeof(DialogMockup), new PropertyMetadata(IconImage.Warning));

		public IconImage IconImage
		{
			get { return (IconImage)this.GetValue(IconImageProperty); }
			set { this.SetValue(IconImageProperty, value); }
		}

		public DialogMockup()
		{
			base.DefaultStyleKey = typeof(DialogMockup);
		}
	}
}