﻿// Copyright © Microsoft Corporation.  All Rights Reserved.
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)

namespace Microsoft.Expression.Prototyping.Mockups
{
	using System;
	using System.Windows;

	public class LogonMockup : BaseMockup
	{
		public Visibility ShowButton1
		{
			get { return (Visibility)GetValue(ShowButton1Property); }
			set { SetValue(ShowButton1Property, value); }
		}

		public static readonly DependencyProperty ShowButton1Property = DependencyProperty.Register("ShowButton1", typeof(Visibility), typeof(LogonMockup), new PropertyMetadata(Visibility.Visible, null));

		public Visibility ShowButton2
		{
			get { return (Visibility)GetValue(ShowButton2Property); }
			set { SetValue(ShowButton2Property, value); }
		}

		public static readonly DependencyProperty ShowButton2Property = DependencyProperty.Register("ShowButton2", typeof(Visibility), typeof(LogonMockup), new PropertyMetadata(Visibility.Visible, null));

		public Visibility ShowButton3
		{
			get { return (Visibility)GetValue(ShowButton3Property); }
			set { SetValue(ShowButton3Property, value); }
		}

		public static readonly DependencyProperty ShowButton3Property = DependencyProperty.Register("ShowButton3", typeof(Visibility), typeof(LogonMockup), new PropertyMetadata(Visibility.Visible, null));

		public Object UsernameContent
		{
			get { return (Object)GetValue(UsernameContentProperty); }
			set { SetValue(UsernameContentProperty, value); }
		}

		public static readonly DependencyProperty UsernameContentProperty = DependencyProperty.Register("UsernameContent", typeof(Object), typeof(LogonMockup), null);

		public Object PasswordContent
		{
			get { return (Object)GetValue(PasswordContentProperty); }
			set { SetValue(PasswordContentProperty, value); }
		}

		public static readonly DependencyProperty PasswordContentProperty = DependencyProperty.Register("PasswordContent", typeof(Object), typeof(LogonMockup), null);

		public Object Button1Content
		{
			get { return (Object)GetValue(Button1ContentProperty); }
			set { SetValue(Button1ContentProperty, value); }
		}

		public static readonly DependencyProperty Button1ContentProperty = DependencyProperty.Register("Button1Content", typeof(Object), typeof(LogonMockup), null);

		public Object Button2Content
		{
			get { return (Object)GetValue(Button2ContentProperty); }
			set { SetValue(Button2ContentProperty, value); }
		}

		public static readonly DependencyProperty Button2ContentProperty = DependencyProperty.Register("Button2Content", typeof(Object), typeof(LogonMockup), null);

		public Object Button3Content
		{
			get { return (Object)GetValue(Button3ContentProperty); }
			set { SetValue(Button3ContentProperty, value); }
		}

		public static readonly DependencyProperty Button3ContentProperty = DependencyProperty.Register("Button3Content", typeof(Object), typeof(LogonMockup), null);

		public LogonMockup()
		{
			// Insert code required on object creation below this point.
			base.DefaultStyleKey = typeof(LogonMockup);
		}
	}
}