﻿// Copyright © Microsoft Corporation.  All Rights Reserved.
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)

namespace Microsoft.Expression.Prototyping.Mockups
{
	using System.Windows;

	public class MediaPlayerMockup : WindowMockup
	{
		public Visibility ShowSeekControl
		{
			get { return (Visibility)GetValue(ShowSeekControlProperty); }
			set { SetValue(ShowSeekControlProperty, value); }
		}

		public static readonly DependencyProperty ShowSeekControlProperty = DependencyProperty.Register("ShowSeekControl", typeof(Visibility), typeof(MediaPlayerMockup), new PropertyMetadata(Visibility.Visible, null));

		public Visibility ShowVolumeControl
		{
			get { return (Visibility)GetValue(ShowVolumeControlProperty); }
			set { SetValue(ShowVolumeControlProperty, value); }
		}

		public static readonly DependencyProperty ShowVolumeControlProperty = DependencyProperty.Register("ShowVolumeControl", typeof(Visibility), typeof(MediaPlayerMockup), new PropertyMetadata(Visibility.Visible, null));

		public MediaPlayerMockup()
		{
			// Insert code required on object creation below this point.
			base.DefaultStyleKey = typeof(MediaPlayerMockup);
		}
	}
}