﻿// Copyright © Microsoft Corporation.  All Rights Reserved.
// This code released under the terms of the 
// Microsoft Public License (MS-PL, http://opensource.org/licenses/ms-pl.html.)

namespace Microsoft.Expression.Prototyping.Mockups
{
	using System;
	using System.Windows;
	using System.Windows.Controls;

	public class ValueEditorMockup : BaseMockup
	{
		public HorizontalAlignment PropertyHorizontalAlignment
		{
			get { return (HorizontalAlignment)GetValue(PropertyHorizontalAlignmentProperty); }
			set { SetValue(PropertyHorizontalAlignmentProperty, value); }
		}

		public static readonly DependencyProperty PropertyHorizontalAlignmentProperty = DependencyProperty.Register("PropertyHorizontalAlignment", typeof(HorizontalAlignment), typeof(ValueEditorMockup), new PropertyMetadata(HorizontalAlignment.Right, null));

		public HorizontalAlignment ValueHorizontalAlignment
		{
			get { return (HorizontalAlignment)GetValue(ValueHorizontalAlignmentProperty); }
			set { SetValue(ValueHorizontalAlignmentProperty, value); }
		}

		public static readonly DependencyProperty ValueHorizontalAlignmentProperty = DependencyProperty.Register("ValueHorizontalAlignment", typeof(HorizontalAlignment), typeof(ValueEditorMockup), new PropertyMetadata(HorizontalAlignment.Right, null));

		public ValueEditorMockup()
		{
			base.DefaultStyleKey = typeof(ValueEditorMockup);
		}
	}
}
